""" General settings """

# Prefix to all the networks and containers created
PREFIX = "testnw"

# Container base installation path -- will be overlaid
CONTAINER_BASE_ROOT = "/var/lib/machines/lxc-base-" + PREFIX

# Overlayfs mount dir
OVERLAYFS_MOUNT_DIR = "/tmp/{}-overlays/".format(PREFIX)

# The ID of the whole generated network -- below 0xff
NETWORK_ID = 132

# IPv4 /16 range
IPV4_RANGE = "10.{}".format(NETWORK_ID)

# IPv6 /32 range
IPV6_RANGE = "fd80:ba{:02x}".format(NETWORK_ID)
